---

#! /cephfs/tmp/d20240816-60490-jspi20/stress-ng-network.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s

# docker run --rm ghcr.io/colinianking/stress-ng --class network?
stress-ng:
  test: sockmany
job_origin: stress-ng-network.yaml
queue: bisect
testbox: lkp-emr-2sp1
commit: 45323a0a8f0cefc05f0e7185092fe1fb71aae2a6
compiler: gcc-12
branch: opencloudos/next
kconfig: x86_64-oc_stream_base_config
repeat_to: 3
name: "/cephfs/tmp/d20240816-60490-jspi20/stress-ng-network.yaml"
kernel_cmdline:
tbox_group: lkp-emr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-emr-2sp1/stress-ng-performance-100%-sockmany-60s-debian-12-x86_64-20240206.cgz-45323a0a8f0c-20240818-100964-12cgq2n-2.yaml"
id: 5441712e62330c8c2c6f43e54ffab8a2611698a4
queuer_version: "/zday/lkp"

#! hosts/lkp-emr-2sp1
model: Emerald Rapids
nr_node: 4
nr_cpu: 256
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part3"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BA400G4_BTHV611200UP400NGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x6f7fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: INTEL(R) XEON(R) PLATINUM 8592+
belongs_to: opencloudos

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/stress-ng

#! include/testbox/lkp-emr-2sp1
ucode: '0x21000160'
need_kernel_version:
- ">= v5.4.119, gcc"
- ">= v5.4.119, clang"
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-08-18 07:59:11.403153043 +08:00
_rt: "/result/stress-ng/performance-100%-sockmany-60s/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240808-144501"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-sockmany-60s/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6/1
- BOOT_IMAGE=/pkg/linux/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6/vmlinuz-6.6.6-00027-g45323a0a8f0c
- branch=opencloudos/next
- job=/lkp/jobs/scheduled/lkp-emr-2sp1/stress-ng-performance-100%-sockmany-60s-debian-12-x86_64-20240206.cgz-45323a0a8f0c-20240818-100964-12cgq2n-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-oc_stream_base_config
- commit=45323a0a8f0cefc05f0e7185092fe1fb71aae2a6
- intremap=posted_msi
- acpi_rsdp=0x6f7fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240812.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-b9abb4571-1_20240812.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240813114533/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-emr-2sp1/stress-ng-performance-100%-sockmany-60s-debian-12-x86_64-20240206.cgz-45323a0a8f0c-20240818-100964-12cgq2n-2.cgz"
last_kernel: 6.6.6-00027-g45323a0a8f0c
acpi_rsdp: '0x6f7fe014'

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
- force_schedule

#! user overrides
kbuild_queue_analysis: 1
force_schedule: 1
kernel: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6/vmlinuz-6.6.6-00027-g45323a0a8f0c"
result_root: "/result/stress-ng/performance-100%-sockmany-60s/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/45323a0a8f0cefc05f0e7185092fe1fb71aae2a6/1"
dequeue_time: 2024-08-18 08:42:37.829734888 +08:00
job_state: finished
loadavg: 20.20 33.17 15.40 1/2229 12893
start_time: '1723941393'
end_time: '1723941454'
version: "/lkp/lkp/.src-20240808-144501:e35bd1203041:826807ed2b16"
